/*
code 0..9 in the following form:
1: 2^1+2^2=6
2: 2^0+2^1+2^6+2^4+2^3=91
3: 2^0+2^1+2^6+2^2+2^3=79
4: 2^5+2^6+2^1+2^2=102
5: 2^0+2^5+2^6+2^2+2^3=109
6: 2^0+2^5+2^6+2^4+2^2+2^3=125
7: 2^0+2^1+2^2=7
8: 2^0+2^1+2^2+2^3+2^4+2^5+2^6=127
9: 2^0+2^1+2^2+2^3+2^5+2^6=111
0: 2^0 + 2^1 + 2^2 + 2^3 + 2^4 + 2^5=63
*/
#include <stdio.h>

int get_bit(int x, int pos)
{
	if (x & (1<<pos)) return 1; else return 0;
}

void print_time(int x, int y, int z)
{
	int a[6],i;
	a[0]=x/128;
	a[1]=x%128;
	a[2]=y/128;
	a[3]=y%128;
	a[4]=z/128;
	a[5]=z%128;
	for (i=0; i<6; i++)
	{
		printf(" ");
		if (get_bit(a[i],0)) printf("__"); else printf("  ");
		printf(" ");
		if (i==1 || i==3) printf("   ");
		if (i==5) printf("\n");
	}

	for (i=0; i<6; i++)
	{
		if (get_bit(a[i],5)) printf("|"); else printf(" ");
		printf("  ");
		if (get_bit(a[i],1)) printf("|"); else printf(" ");
		if (i==1 || i==3) printf("   ");
		if (i==5) printf("\n");
	}

	for (i=0; i<6; i++)
	{
		if (get_bit(a[i],5)) printf("|"); else printf(" ");
		if (get_bit(a[i],6)) printf("__"); else printf("  ");
		if (get_bit(a[i],1)) printf("|"); else printf(" ");
		if (i==1 || i==3) printf(" . ");
		if (i==5) printf("\n");
	}

	for (i=0; i<6; i++)
	{
		if (get_bit(a[i],4)) printf("|"); else printf(" ");
		printf("  ");
		if (get_bit(a[i],2)) printf("|"); else printf(" ");
		if (i==1 || i==3) printf(" . ");
		if (i==5) printf("\n");
	}

	for (i=0; i<6; i++)
	{
		if (get_bit(a[i],4)) printf("|"); else printf(" ");
		if (get_bit(a[i],3)) printf("__"); else printf("  ");
		if (get_bit(a[i],2)) printf("|"); else printf(" ");
		if (i==1 || i==3) printf("   ");
		if (i==5) printf("\n");
	}

}

/*
this is just an example to show how to print time
*/

/*int main()
{
	int x=6*128+91;
	int y=79*128+102;
	int z=109*128+125;
	print_time(x,y,z);

	x=6*128+7;
	y=63*128+127;
	z=63*128+111;
	print_time(x,y,z);
	return 0;
}*/
